/* (C) Marcin Kwadrans <quar@vitea.pl> */

/*! \file row.h
	\brief Zarządzanie wierszem
*/

#ifndef __LW_ROW_H
#define __LW_ROW_H

#include <libxml/tree.h>

class LWBoard;
class LWPiece;

/*! \class LWRow
	\brief Zarządzanie wierszem

	W wierszu znajdują się klocki LWPiece, klasa zawiera metody operujące
	na strukturze wiersza, takie jak: dodawanie, usuwanie, wstawianie
	pobieranie klocków
*/
class LWRow {
private:
GSList *list_piece;
LWPiece *dummy_piece;
GtkWidget *widget;
void init (LWBoard *a_board);
public:
LWBoard *board;
LWRow (LWBoard *a_board);
LWRow (const LWRow *row, LWBoard *a_board);
~LWRow ();
void restoreFromXML (xmlNode *node);
void storeToXML (xmlNode *parent_node);
void addPiece (LWPiece *piece);
void insertPieceBefore (LWPiece *piece, LWPiece *sibiling);
void removePiece (LWPiece *piece);
gint getPieceIndex (LWPiece *piece);
LWPiece *getPieceNth (guint n);
GSList *getPieceList ();
void setSize (guint length);
void clear ();
GtkWidget *getWidget ();
gboolean isPieceDummy (LWPiece *row);
};

#include "board.h"
#include "piece.h"

#endif
