#include "include/support.h"
#include "include/paritycommand.h"

class LWCommandBraceOpen: public LWParityCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	(void) context;
	
	g_return_val_if_fail (argc == 1, new LWValue());
	
	LWValue *value = new LWValue();
	value->set (args[0]);
	return value;
}

gchar *getName ()
{
	return "(";
}	

gchar *getHint ()
{
	return _("Open brace");
}

guint getPriority ()
{
	return 14;
}

LWLink getLinkType ()
{
	return LW_LINK_LEFT;
}

gboolean hasReturn()
{
	return TRUE;
}

gboolean isParity ()
{
	return TRUE;	
}

gboolean isOpen ()
{
	return TRUE;
}

void matchWith (LWCommand *cmd)
{
	if (cmd->getName()[0] != ')')
		throw new LWMessage (LW_ERROR_UnmatchedBrace);
	
	match();
}

void checkArgc (guint n)
{
	if (n != 1) 
		throw new LWMessage (LW_ERROR_EmptyBrace);
}	

};

LWCommand *new_LWCommandBraceOpen()
{
	return new LWCommandBraceOpen();
}
