#include "include/support.h"
#include "include/command.h"

class LWCommandDiv: public LWCommand {
	
LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	(void) context;
	
	g_return_val_if_fail (argc == 2, NULL);
	
	gint divider = args[1]->toInt();
	
	if (divider == 0)
		throw new LWMessage (LW_ERROR_DivisionByZero);
	
	gint r = args[0]->toInt() / divider;
	
	return new LWValue (r);
}

gchar *getName ()
{
	return "div";
}	

gchar *getHint ()
{
	return _("Divide by");
}

guint getPriority (void)
{
	return 13;
}

LWLink getLinkType ()
{
	return LW_LINK_LEFT;
}

gboolean hasReturn()
{
	return TRUE;
}

void chackArgument (guint n, LWValue *value)
{
	if (n == 1)
		if (0 == value->toInt())
			throw new LWMessage (LW_ERROR_DivisionByZero);
}

void checkArgc (guint n)
{
	if (n != 2) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}	

};

LWCommand *new_LWCommandDiv()
{
	return new LWCommandDiv();
}
