#include "include/support.h"
#include "include/command.h"

class LWCommandEq: public LWCommand {
	
LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	(void) context;
	
	g_return_val_if_fail (argc == 2, NULL);
	
	gint r = args[0]->toInt() == args[1]->toInt();
	
	return new LWValue (r);
}

gchar *getName (void)
{
	return "eq";
}	

gchar *getHint ()
{
	return _("Equal to");
}

guint getPriority (void)
{
	return 9;
}

LWLink getLinkType ()
{
	return LW_LINK_LEFT;
}

gboolean hasReturn()
{
	return TRUE;
}

void checkArgc (guint n)
{
	if (n != 2) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}	

};

LWCommand *new_LWCommandEq()
{
	return new LWCommandEq();
}
