#include "include/support.h"
#include "include/command.h"

class LWCommandFor: public LWCommand {

gint counter;

void reset1 ()
{
	counter = 0;
}
	
LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 1, NULL);
	g_return_val_if_fail (context->instrPtr->next != NULL, NULL);	
	
	if (counter == args[0]->toInt()) {
		context->instrPtr = context->instrPtr->next->next;
		counter = 0;
	} else 
		counter++;

	return NULL;
}

gchar *getName (void)
{
	return "for";
}	

gchar *getHint ()
{
	return _("Repeat N times");
}

gboolean isLoop ()
{
	return TRUE;
}

void checkArgc (guint n)
{
	if (n != 1) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

public:
LWCommandFor(): counter(0) {};

};

LWCommand *new_LWCommandFor()
{
	return new LWCommandFor();
}
