#include "include/support.h"
#include "include/command.h"

class LWCommandGo: public LWCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 0 || argc == 1, NULL);
	
	if (argc == 1) {
		context->wizard->go (args[0]->toInt());
	} else
		context->wizard->go (1);

	return NULL;
}	

gchar *getName (void) 
{
	return "go";
}	

gchar *getHint ()
{
	return _("Go one or more steps");
}

void checkArgc (guint n)
{
	if (n > 1) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandGo()
{
	return new LWCommandGo();
}
