#include "include/support.h"
#include "include/command.h"

class LWCommandLt: public LWCommand {
	
LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	(void) context;
	
	g_return_val_if_fail (argc == 2, NULL);
	
	gint r = args[0]->toInt() < args[1]->toInt();
	
	return new LWValue (r);
}

gchar *getName (void)
{
	return "lt";
}	

gchar *getHint ()
{
	return _("Less then");
}

guint getPriority (void)
{
	return 10;
}

LWLink getLinkType ()
{
	return LW_LINK_LEFT;
}

gboolean hasReturn()
{
	return TRUE;
}

void checkArgc (guint n)
{
	if (n != 2) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandLt()
{
	return new LWCommandLt();
}
