#include "include/support.h"
#include "include/command.h"

class LWCommandMod: public LWCommand {
	
LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	(void) context;
	
	g_return_val_if_fail (argc == 2, NULL);
	
	gint divider = args[1]->toInt();
	
	if (divider == 0)
		throw new LWMessage (LW_ERROR_DivisionByZero);
	
	gint r = args[0]->toInt() % divider;
	
	return new LWValue (r);
}

gchar *getName (void)
{
	return "mod";
}	

gchar *getHint ()
{
	return _("Modulo");
}

guint getPriority (void)
{
	return 13;
}

LWLink getLinkType ()
{
	return LW_LINK_LEFT;
}

gboolean hasReturn()
{
	return TRUE;
}

void checkArgc (guint n)
{
	if (n != 2) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandMod()
{
	return new LWCommandMod();
}
