#include "include/support.h"
#include "include/command.h"

class LWCommandMul: public LWCommand {


LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 2, FALSE);
	gint r = args[0]->toInt() * args[1]->toInt();
	
	return new LWValue (r);
}

gchar *getName ()
{
	return "mul";
}	

gchar *getHint ()
{
	return _("Multiply by");
}

guint getPriority ()
{
	return 13;
}

LWLink getLinkType ()
{
	return LW_LINK_LEFT;
}

gboolean hasReturn()
{
	return TRUE;
}

void checkArgc (guint n)
{
	if (n != 2) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandMul()
{
	return new LWCommandMul();
}
