#include "include/support.h"
#include "include/command.h"

class LWCommandOpp: public LWCommand {
	
LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	(void) context;
	
	g_return_val_if_fail (argc == 1, NULL);
	
	gint r = - args[0]->toInt();
	
	return new LWValue (r);
}

gchar *getName ()
{
	return "opp";
}	

gchar *getHint ()
{
	return _("Opposite value");
}

guint getPriority ()
{
	return 15;
}

LWLink getLinkType ()
{
	return LW_LINK_RIGHT;
}

gboolean hasReturn()
{
	return TRUE;
}

void checkArgc (guint n)
{
	if (n != 1) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandOpp()
{
	return new LWCommandOpp();
}
