#include "include/support.h"
#include "include/command.h"

class LWCommandOr: public LWCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	(void) context;
	
	g_return_val_if_fail (argc == 2, NULL);
	
	gint r = args[0]->toInt() || args[1]->toInt();
	
	return new LWValue (r);
}

gchar *getName ()
{
	return "or";
}	

gchar *getHint ()
{
	return _("Or");
}

guint getPriority ()
{
	return 4;
}

LWLink getLinkType ()
{
	return LW_LINK_LEFT;
}

gboolean hasReturn()
{
	return TRUE;
}

void checkArgc (guint n)
{
	if (n != 2) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}	

};

LWCommand *new_LWCommandOr()
{
	return new LWCommandOr();
}
