#include "include/support.h"
#include "include/command.h"

class LWCommandSet: public LWCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 2, FALSE);
	g_return_val_if_fail (args[0]->isVariable() == TRUE, FALSE);
	
	args[0]->set(args[1]);
	
	/* To jest zmienna, nie potrzeba tworzyć jej kopii przez konstruktor
		kopiujący bo nie zostanie ona nigdy zwolniona */
	return args[0];
}

gchar *getName ()
{
	return "set";
}

gchar *getHint ()
{
	return _("Set");
}

guint getPriority ()
{
	return 2;
}

LWLink getLinkType ()
{
	return LW_LINK_RIGHT;
}

gboolean hasReturn()
{
	return TRUE;
}

void checkArgument (guint n, LWValue *value)
{
	if (n == 0)
		if (FALSE == value->isVariable())
			throw new LWMessage (LW_ERROR_LValueIsNotVariable);
}

void checkArgc (guint n)
{
	if (n != 2) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}	

};

LWCommand *new_LWCommandSet()
{
	return new LWCommandSet();
}
