#include "include/support.h"
#include "include/command.h"

class LWCommandWhile: public LWCommand {

LWValue *execute1 (LWContext *context, guint argc, LWValue *args[])
{
	g_return_val_if_fail (argc == 1, NULL);
	g_return_val_if_fail (context->instrPtr->next != NULL, NULL);
	
	if (0 == args[0]->toInt())
		context->instrPtr = context->instrPtr->next->next;
	
	return NULL;
}

gchar *getName ()
{
	return "while";
}	

gchar *getHint ()
{
	return _("Repeat until");
}

gboolean isLoop ()
{
	return TRUE;
}

void checkArgc (guint n)
{
	if (n != 1) 
		throw new LWMessage (LW_ERROR_WrongNumberOfArguments);
}

};

LWCommand *new_LWCommandWhile()
{
	return new LWCommandWhile();
}
