#include "include/support.h"
#include "include/paritycommand.h"

/*! \brief Konstruktor dwu członowego polecenia

	Konstruktor dwu członowego polecenia
*/
LWParityCommand::LWParityCommand (): matched(FALSE)
{
}

/*! \brief Czy polecenie jest dwuczłonowe

	Czy polecenie jest dwuczłonowe
	\return Zawsze zwraca prawdę
*/
gboolean LWParityCommand::isParity ()
{
	return TRUE;
}

/*! \brief Dopasuj początek polecenia z końcem

	Dopasowuje początek polecenia z poleceniem zakończającym je
*/
void LWParityCommand::matchWith (LWCommand *cmd)
{
	(void) cmd;
	
	if (FALSE == isOpen())
		g_warning ("Attempt to call matchWith method in second part of parity command!");
	else
		g_warning ("matchWith method not implmented!");
}

/*! \brief Dopasowuje polecenie

	Oznacza polecenia jako już dopasowane z jego końcem
*/
void LWParityCommand::match ()
{
	matched = TRUE;
}

/*! \brief Czy polecenie jest już dopasowane

	Czy polecenie jest już dopasowane
	\return Zwraca prawdę jeśli było już dopasowane w przeciwnym razie fałsz
*/
gboolean LWParityCommand::isAlreadyMatched ()
{
	return matched;
}

/*! \brief Zeruje polecenie

	Zeruje polecenie czyniąc je niedopasowanym
*/
void LWParityCommand::reset1 ()
{
	matched = FALSE;
}
