/* (C) Marcin Kwadrans <quar@vitea.pl> */

#include "include/support.h"
#include "include/variable.h"

/*! \brief Konstruktor

	Tworzy projekt
*/
LWVariable::LWVariable (guint i)
{
	index = i;
}

/*! \brief Czy wartość stanowi zmienną

	Czy wartość stanowi zmienną
	\return Zwraca prawdę
*/
gboolean LWVariable::isVariable ()
{
	return TRUE;
}

/*! \brief Zwraca numer indeksu w tablicy zmiennej

	Zwraca numer indeksu w tablicy zmiennej
	\return Zwrócony indeks
*/
guint LWVariable::getNum ()
{
	return index;
}

/*! \brief Czy ikona reprezentuje zmienną

	Czy ikona reprezentuje zmienną
	\param pixmap Sprawdzana ikona
	\return Rezultat testu
*/
gboolean LWVariable::isPixmapVariable (LWPixmap *pixmap)
{
	g_return_val_if_fail (pixmap != NULL, FALSE);

	gchar *s = pixmap->getName ();
	
	g_return_val_if_fail (s != NULL, FALSE);

	if (FALSE == g_ascii_isalpha (s[0]))
		return FALSE;
	
	if (s[1] != 0)
		return FALSE;
	
	return TRUE;
}

/*! \brief Pobierz numer indeksu zmiennej, którą reprezentuje ikona

	Pobierz numer indeksu zmiennej, którą reprezentuje ikona
	\param pixmap Sprawdzana ikona
	\return Numer w tablicy zmiennych
*/
gint LWVariable::getPixmapNum (LWPixmap *pixmap)
{
	g_return_val_if_fail (pixmap != NULL, FALSE);
	
	gchar *s = pixmap->getName ();
	
	g_return_val_if_fail (s != NULL, -1);
	g_return_val_if_fail (TRUE == g_ascii_isalpha (s[0]), -1);
	
	if (g_ascii_islower (s[0]))
		return (gint) (s[0] - 'a');
	else
		return (gint) (s[0] - 'A');
}
